Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0006117
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. Othersminorhave not tried2008-11-20 17:382009-10-22 11:21
ReportershuehnerView Statuspublic 
Assigned Toalostale 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision9ec513255cc4
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version2.50alpha-r1SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0006117: Enhance license text of obpl license in module management (missing link to complete license text for obpl)

DescriptionThe License text for the obpl license references the MPL license and includes the link to the mpl license, but it does not include a link to the complete obpl license text.
Steps To ReproduceStart installtion of the i.e. "Hello World" module. in the confirmation window it shows the license (obpl), notice that there is not link to the obpl license text.
TagsModularity
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0020087)
pjuvara (reporter)
2009-09-15 19:04

Reminder sent to: iciordia

Ismael: can you please review this FR?
(0020187)
rafaroda (developer)
2009-09-18 09:57

Set back to Urgent.
(0020772)
pjuvara (reporter)
2009-10-06 11:53

When declaring an open source module in the Application Dictionary, the following attributes must be set:

* Commercial Module: N
* License Type: Openbravo Public License
* License Text:
    Licensed under the Openbravo Commercial License version 1.0.
    You may obtain a copy of the License at
    http://www.openbravo.com/legal/license.html [^]
    or in the legal folder of the Openbravo ERP core distribution.
* Author: Openbravo S.L.
* URL: www.openbravo.com <http://www.openbravo.com/> [^]
(0020778)
alostale (developer)
2009-10-06 12:25

Fixed license in core, it is pending to communicate and update it to the rest of the published modules.
(0020779)
hgbot (developer)
2009-10-06 12:26

Repository: erp/devel/pi
Changeset: 3f33f24622d498a60beffaf7887359af2bf73a42
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Tue Oct 06 12:25:58 2009 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/3f33f24622d498a60beffaf7887359af2bf73a42 [^]

fixed bug 0006117: Enhance license text of obpl license

---
M src-db/database/sourcedata/AD_MODULE.xml
---
(0020793)
alostale (developer)
2009-10-06 17:48

It should be

* Commercial Module: N
* License Type: Openbravo Public License
* License Text:
    Licensed under the Openbravo Public License version 1.0.
    You may obtain a copy of the License at
    http://www.openbravo.com/legal/license.html [^] [^]
    or in the legal folder of the Openbravo ERP core distribution.
* Author: Openbravo S.L.
* URL: www.openbravo.com <http://www.openbravo.com/> [^] [^]
(0020795)
hgbot (developer)
2009-10-06 17:56

Repository: erp/devel/pi
Changeset: 9ec513255cc4a4910148eeca3ee537ddd13934aa
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Tue Oct 06 17:55:24 2009 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/9ec513255cc4a4910148eeca3ee537ddd13934aa [^]

fixed bug 0006117: Enhance license text of obpl license

---
M src-db/database/sourcedata/AD_MODULE.xml
---

- Issue History
Date Modified Username Field Change
2008-11-20 17:38 shuehner New Issue
2008-11-20 17:38 shuehner Assigned To => rafaroda
2008-11-20 17:38 shuehner sf_bug_id 0 => 2317972
2008-11-20 17:38 shuehner Regression testing => No
2008-11-21 17:00 iciordia Assigned To rafaroda => gorka_gil
2009-01-09 14:53 rafaroda Tag Attached: Modularity
2009-02-10 17:03 gorka_gil Assigned To gorka_gil => iciordia
2009-09-15 19:04 pjuvara Note Added: 0020087
2009-09-15 19:06 iciordia Assigned To iciordia => alostale
2009-09-15 19:06 iciordia Priority normal => urgent
2009-09-15 19:06 iciordia Type feature request => defect
2009-09-18 07:58 rafaroda Priority urgent => high
2009-09-18 07:58 rafaroda Severity major => minor
2009-09-18 07:58 rafaroda Status new => scheduled
2009-09-18 09:57 rafaroda Note Added: 0020187
2009-09-18 09:57 rafaroda Priority high => urgent
2009-10-06 11:38 iciordia Assigned To alostale => pjuvara
2009-10-06 11:53 pjuvara Note Added: 0020772
2009-10-06 11:53 pjuvara Assigned To pjuvara => alostale
2009-10-06 12:25 alostale Note Added: 0020778
2009-10-06 12:26 hgbot Checkin
2009-10-06 12:26 hgbot Note Added: 0020779
2009-10-06 12:26 hgbot Status scheduled => resolved
2009-10-06 12:26 hgbot Resolution open => fixed
2009-10-06 12:26 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/3f33f24622d498a60beffaf7887359af2bf73a42 [^]
2009-10-06 17:48 alostale Note Added: 0020793
2009-10-06 17:56 hgbot Checkin
2009-10-06 17:56 hgbot Note Added: 0020795
2009-10-06 17:56 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/3f33f24622d498a60beffaf7887359af2bf73a42 [^] => http://code.openbravo.com/erp/devel/pi/rev/9ec513255cc4a4910148eeca3ee537ddd13934aa [^]
2009-10-22 11:21 plujan Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker